// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.25.0
// 	protoc        v3.12.4
// source: api/xdcd.proto

package xdcd

import (
	context "context"
	proto "github.com/golang/protobuf/proto"
	api "gitlab.com/mergetb/portal/services/api"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// This is a compile-time assertion that a sufficiently up-to-date version
// of the legacy proto package is being used.
const _ = proto.ProtoPackageIsVersion4

type ClearTunnelDataRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *ClearTunnelDataRequest) Reset() {
	*x = ClearTunnelDataRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_api_xdcd_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ClearTunnelDataRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ClearTunnelDataRequest) ProtoMessage() {}

func (x *ClearTunnelDataRequest) ProtoReflect() protoreflect.Message {
	mi := &file_api_xdcd_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ClearTunnelDataRequest.ProtoReflect.Descriptor instead.
func (*ClearTunnelDataRequest) Descriptor() ([]byte, []int) {
	return file_api_xdcd_proto_rawDescGZIP(), []int{0}
}

type ClearTunnelDataResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *ClearTunnelDataResponse) Reset() {
	*x = ClearTunnelDataResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_api_xdcd_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ClearTunnelDataResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ClearTunnelDataResponse) ProtoMessage() {}

func (x *ClearTunnelDataResponse) ProtoReflect() protoreflect.Message {
	mi := &file_api_xdcd_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ClearTunnelDataResponse.ProtoReflect.Descriptor instead.
func (*ClearTunnelDataResponse) Descriptor() ([]byte, []int) {
	return file_api_xdcd_proto_rawDescGZIP(), []int{1}
}

type AddUsersRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Users []*api.User `protobuf:"bytes,1,rep,name=users,proto3" json:"users,omitempty"`
}

func (x *AddUsersRequest) Reset() {
	*x = AddUsersRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_api_xdcd_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *AddUsersRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*AddUsersRequest) ProtoMessage() {}

func (x *AddUsersRequest) ProtoReflect() protoreflect.Message {
	mi := &file_api_xdcd_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use AddUsersRequest.ProtoReflect.Descriptor instead.
func (*AddUsersRequest) Descriptor() ([]byte, []int) {
	return file_api_xdcd_proto_rawDescGZIP(), []int{2}
}

func (x *AddUsersRequest) GetUsers() []*api.User {
	if x != nil {
		return x.Users
	}
	return nil
}

type AddUsersResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *AddUsersResponse) Reset() {
	*x = AddUsersResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_api_xdcd_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *AddUsersResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*AddUsersResponse) ProtoMessage() {}

func (x *AddUsersResponse) ProtoReflect() protoreflect.Message {
	mi := &file_api_xdcd_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use AddUsersResponse.ProtoReflect.Descriptor instead.
func (*AddUsersResponse) Descriptor() ([]byte, []int) {
	return file_api_xdcd_proto_rawDescGZIP(), []int{3}
}

type DeleteUsersRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Users []*api.User `protobuf:"bytes,1,rep,name=users,proto3" json:"users,omitempty"`
}

func (x *DeleteUsersRequest) Reset() {
	*x = DeleteUsersRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_api_xdcd_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DeleteUsersRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DeleteUsersRequest) ProtoMessage() {}

func (x *DeleteUsersRequest) ProtoReflect() protoreflect.Message {
	mi := &file_api_xdcd_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DeleteUsersRequest.ProtoReflect.Descriptor instead.
func (*DeleteUsersRequest) Descriptor() ([]byte, []int) {
	return file_api_xdcd_proto_rawDescGZIP(), []int{4}
}

func (x *DeleteUsersRequest) GetUsers() []*api.User {
	if x != nil {
		return x.Users
	}
	return nil
}

type DeleteUsersResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *DeleteUsersResponse) Reset() {
	*x = DeleteUsersResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_api_xdcd_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DeleteUsersResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DeleteUsersResponse) ProtoMessage() {}

func (x *DeleteUsersResponse) ProtoReflect() protoreflect.Message {
	mi := &file_api_xdcd_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DeleteUsersResponse.ProtoReflect.Descriptor instead.
func (*DeleteUsersResponse) Descriptor() ([]byte, []int) {
	return file_api_xdcd_proto_rawDescGZIP(), []int{5}
}

type InitHostRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *InitHostRequest) Reset() {
	*x = InitHostRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_api_xdcd_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *InitHostRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*InitHostRequest) ProtoMessage() {}

func (x *InitHostRequest) ProtoReflect() protoreflect.Message {
	mi := &file_api_xdcd_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use InitHostRequest.ProtoReflect.Descriptor instead.
func (*InitHostRequest) Descriptor() ([]byte, []int) {
	return file_api_xdcd_proto_rawDescGZIP(), []int{6}
}

type InitHostResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *InitHostResponse) Reset() {
	*x = InitHostResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_api_xdcd_proto_msgTypes[7]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *InitHostResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*InitHostResponse) ProtoMessage() {}

func (x *InitHostResponse) ProtoReflect() protoreflect.Message {
	mi := &file_api_xdcd_proto_msgTypes[7]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use InitHostResponse.ProtoReflect.Descriptor instead.
func (*InitHostResponse) Descriptor() ([]byte, []int) {
	return file_api_xdcd_proto_rawDescGZIP(), []int{7}
}

var File_api_xdcd_proto protoreflect.FileDescriptor

var file_api_xdcd_proto_rawDesc = []byte{
	0x0a, 0x0e, 0x61, 0x70, 0x69, 0x2f, 0x78, 0x64, 0x63, 0x64, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x12, 0x04, 0x78, 0x64, 0x63, 0x64, 0x1a, 0x29, 0x70, 0x6f, 0x72, 0x74, 0x61, 0x6c, 0x2f, 0x73,
	0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x73, 0x2f, 0x61, 0x70, 0x69, 0x2f, 0x77, 0x6f, 0x72, 0x6b,
	0x73, 0x70, 0x61, 0x63, 0x65, 0x5f, 0x74, 0x79, 0x70, 0x65, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x22, 0x18, 0x0a, 0x16, 0x43, 0x6c, 0x65, 0x61, 0x72, 0x54, 0x75, 0x6e, 0x6e, 0x65, 0x6c,
	0x44, 0x61, 0x74, 0x61, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x22, 0x19, 0x0a, 0x17, 0x43,
	0x6c, 0x65, 0x61, 0x72, 0x54, 0x75, 0x6e, 0x6e, 0x65, 0x6c, 0x44, 0x61, 0x74, 0x61, 0x52, 0x65,
	0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x35, 0x0a, 0x0f, 0x41, 0x64, 0x64, 0x55, 0x73, 0x65,
	0x72, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x22, 0x0a, 0x05, 0x75, 0x73, 0x65,
	0x72, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x0c, 0x2e, 0x70, 0x6f, 0x72, 0x74, 0x61,
	0x6c, 0x2e, 0x55, 0x73, 0x65, 0x72, 0x52, 0x05, 0x75, 0x73, 0x65, 0x72, 0x73, 0x22, 0x12, 0x0a,
	0x10, 0x41, 0x64, 0x64, 0x55, 0x73, 0x65, 0x72, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73,
	0x65, 0x22, 0x38, 0x0a, 0x12, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x55, 0x73, 0x65, 0x72, 0x73,
	0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x22, 0x0a, 0x05, 0x75, 0x73, 0x65, 0x72, 0x73,
	0x18, 0x01, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x0c, 0x2e, 0x70, 0x6f, 0x72, 0x74, 0x61, 0x6c, 0x2e,
	0x55, 0x73, 0x65, 0x72, 0x52, 0x05, 0x75, 0x73, 0x65, 0x72, 0x73, 0x22, 0x15, 0x0a, 0x13, 0x44,
	0x65, 0x6c, 0x65, 0x74, 0x65, 0x55, 0x73, 0x65, 0x72, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e,
	0x73, 0x65, 0x22, 0x11, 0x0a, 0x0f, 0x49, 0x6e, 0x69, 0x74, 0x48, 0x6f, 0x73, 0x74, 0x52, 0x65,
	0x71, 0x75, 0x65, 0x73, 0x74, 0x22, 0x12, 0x0a, 0x10, 0x49, 0x6e, 0x69, 0x74, 0x48, 0x6f, 0x73,
	0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x32, 0x90, 0x02, 0x0a, 0x04, 0x58, 0x64,
	0x63, 0x64, 0x12, 0x4e, 0x0a, 0x0f, 0x43, 0x6c, 0x65, 0x61, 0x72, 0x54, 0x75, 0x6e, 0x6e, 0x65,
	0x6c, 0x44, 0x61, 0x74, 0x61, 0x12, 0x1c, 0x2e, 0x78, 0x64, 0x63, 0x64, 0x2e, 0x43, 0x6c, 0x65,
	0x61, 0x72, 0x54, 0x75, 0x6e, 0x6e, 0x65, 0x6c, 0x44, 0x61, 0x74, 0x61, 0x52, 0x65, 0x71, 0x75,
	0x65, 0x73, 0x74, 0x1a, 0x1d, 0x2e, 0x78, 0x64, 0x63, 0x64, 0x2e, 0x43, 0x6c, 0x65, 0x61, 0x72,
	0x54, 0x75, 0x6e, 0x6e, 0x65, 0x6c, 0x44, 0x61, 0x74, 0x61, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e,
	0x73, 0x65, 0x12, 0x39, 0x0a, 0x08, 0x41, 0x64, 0x64, 0x55, 0x73, 0x65, 0x72, 0x73, 0x12, 0x15,
	0x2e, 0x78, 0x64, 0x63, 0x64, 0x2e, 0x41, 0x64, 0x64, 0x55, 0x73, 0x65, 0x72, 0x73, 0x52, 0x65,
	0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x16, 0x2e, 0x78, 0x64, 0x63, 0x64, 0x2e, 0x41, 0x64, 0x64,
	0x55, 0x73, 0x65, 0x72, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x42, 0x0a,
	0x0b, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x55, 0x73, 0x65, 0x72, 0x73, 0x12, 0x18, 0x2e, 0x78,
	0x64, 0x63, 0x64, 0x2e, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x55, 0x73, 0x65, 0x72, 0x73, 0x52,
	0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x19, 0x2e, 0x78, 0x64, 0x63, 0x64, 0x2e, 0x44, 0x65,
	0x6c, 0x65, 0x74, 0x65, 0x55, 0x73, 0x65, 0x72, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73,
	0x65, 0x12, 0x39, 0x0a, 0x08, 0x49, 0x6e, 0x69, 0x74, 0x48, 0x6f, 0x73, 0x74, 0x12, 0x15, 0x2e,
	0x78, 0x64, 0x63, 0x64, 0x2e, 0x49, 0x6e, 0x69, 0x74, 0x48, 0x6f, 0x73, 0x74, 0x52, 0x65, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x1a, 0x16, 0x2e, 0x78, 0x64, 0x63, 0x64, 0x2e, 0x49, 0x6e, 0x69, 0x74,
	0x48, 0x6f, 0x73, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x42, 0x29, 0x5a, 0x27,
	0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x6d, 0x65, 0x72, 0x67, 0x65,
	0x74, 0x62, 0x2f, 0x70, 0x6f, 0x72, 0x74, 0x61, 0x6c, 0x2f, 0x78, 0x64, 0x63, 0x64, 0x2f, 0x61,
	0x70, 0x69, 0x3b, 0x78, 0x64, 0x63, 0x64, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_api_xdcd_proto_rawDescOnce sync.Once
	file_api_xdcd_proto_rawDescData = file_api_xdcd_proto_rawDesc
)

func file_api_xdcd_proto_rawDescGZIP() []byte {
	file_api_xdcd_proto_rawDescOnce.Do(func() {
		file_api_xdcd_proto_rawDescData = protoimpl.X.CompressGZIP(file_api_xdcd_proto_rawDescData)
	})
	return file_api_xdcd_proto_rawDescData
}

var file_api_xdcd_proto_msgTypes = make([]protoimpl.MessageInfo, 8)
var file_api_xdcd_proto_goTypes = []interface{}{
	(*ClearTunnelDataRequest)(nil),  // 0: xdcd.ClearTunnelDataRequest
	(*ClearTunnelDataResponse)(nil), // 1: xdcd.ClearTunnelDataResponse
	(*AddUsersRequest)(nil),         // 2: xdcd.AddUsersRequest
	(*AddUsersResponse)(nil),        // 3: xdcd.AddUsersResponse
	(*DeleteUsersRequest)(nil),      // 4: xdcd.DeleteUsersRequest
	(*DeleteUsersResponse)(nil),     // 5: xdcd.DeleteUsersResponse
	(*InitHostRequest)(nil),         // 6: xdcd.InitHostRequest
	(*InitHostResponse)(nil),        // 7: xdcd.InitHostResponse
	(*api.User)(nil),                // 8: portal.User
}
var file_api_xdcd_proto_depIdxs = []int32{
	8, // 0: xdcd.AddUsersRequest.users:type_name -> portal.User
	8, // 1: xdcd.DeleteUsersRequest.users:type_name -> portal.User
	0, // 2: xdcd.Xdcd.ClearTunnelData:input_type -> xdcd.ClearTunnelDataRequest
	2, // 3: xdcd.Xdcd.AddUsers:input_type -> xdcd.AddUsersRequest
	4, // 4: xdcd.Xdcd.DeleteUsers:input_type -> xdcd.DeleteUsersRequest
	6, // 5: xdcd.Xdcd.InitHost:input_type -> xdcd.InitHostRequest
	1, // 6: xdcd.Xdcd.ClearTunnelData:output_type -> xdcd.ClearTunnelDataResponse
	3, // 7: xdcd.Xdcd.AddUsers:output_type -> xdcd.AddUsersResponse
	5, // 8: xdcd.Xdcd.DeleteUsers:output_type -> xdcd.DeleteUsersResponse
	7, // 9: xdcd.Xdcd.InitHost:output_type -> xdcd.InitHostResponse
	6, // [6:10] is the sub-list for method output_type
	2, // [2:6] is the sub-list for method input_type
	2, // [2:2] is the sub-list for extension type_name
	2, // [2:2] is the sub-list for extension extendee
	0, // [0:2] is the sub-list for field type_name
}

func init() { file_api_xdcd_proto_init() }
func file_api_xdcd_proto_init() {
	if File_api_xdcd_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_api_xdcd_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ClearTunnelDataRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_api_xdcd_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ClearTunnelDataResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_api_xdcd_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*AddUsersRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_api_xdcd_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*AddUsersResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_api_xdcd_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DeleteUsersRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_api_xdcd_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DeleteUsersResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_api_xdcd_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*InitHostRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_api_xdcd_proto_msgTypes[7].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*InitHostResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_api_xdcd_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   8,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_api_xdcd_proto_goTypes,
		DependencyIndexes: file_api_xdcd_proto_depIdxs,
		MessageInfos:      file_api_xdcd_proto_msgTypes,
	}.Build()
	File_api_xdcd_proto = out.File
	file_api_xdcd_proto_rawDesc = nil
	file_api_xdcd_proto_goTypes = nil
	file_api_xdcd_proto_depIdxs = nil
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConnInterface

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion6

// XdcdClient is the client API for Xdcd service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type XdcdClient interface {
	// Ensure the name resolution on the XDC does not include the tunnel address, domain, or search.
	ClearTunnelData(ctx context.Context, in *ClearTunnelDataRequest, opts ...grpc.CallOption) (*ClearTunnelDataResponse, error)
	AddUsers(ctx context.Context, in *AddUsersRequest, opts ...grpc.CallOption) (*AddUsersResponse, error)
	DeleteUsers(ctx context.Context, in *DeleteUsersRequest, opts ...grpc.CallOption) (*DeleteUsersResponse, error)
	InitHost(ctx context.Context, in *InitHostRequest, opts ...grpc.CallOption) (*InitHostResponse, error)
}

type xdcdClient struct {
	cc grpc.ClientConnInterface
}

func NewXdcdClient(cc grpc.ClientConnInterface) XdcdClient {
	return &xdcdClient{cc}
}

func (c *xdcdClient) ClearTunnelData(ctx context.Context, in *ClearTunnelDataRequest, opts ...grpc.CallOption) (*ClearTunnelDataResponse, error) {
	out := new(ClearTunnelDataResponse)
	err := c.cc.Invoke(ctx, "/xdcd.Xdcd/ClearTunnelData", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *xdcdClient) AddUsers(ctx context.Context, in *AddUsersRequest, opts ...grpc.CallOption) (*AddUsersResponse, error) {
	out := new(AddUsersResponse)
	err := c.cc.Invoke(ctx, "/xdcd.Xdcd/AddUsers", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *xdcdClient) DeleteUsers(ctx context.Context, in *DeleteUsersRequest, opts ...grpc.CallOption) (*DeleteUsersResponse, error) {
	out := new(DeleteUsersResponse)
	err := c.cc.Invoke(ctx, "/xdcd.Xdcd/DeleteUsers", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *xdcdClient) InitHost(ctx context.Context, in *InitHostRequest, opts ...grpc.CallOption) (*InitHostResponse, error) {
	out := new(InitHostResponse)
	err := c.cc.Invoke(ctx, "/xdcd.Xdcd/InitHost", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// XdcdServer is the server API for Xdcd service.
type XdcdServer interface {
	// Ensure the name resolution on the XDC does not include the tunnel address, domain, or search.
	ClearTunnelData(context.Context, *ClearTunnelDataRequest) (*ClearTunnelDataResponse, error)
	AddUsers(context.Context, *AddUsersRequest) (*AddUsersResponse, error)
	DeleteUsers(context.Context, *DeleteUsersRequest) (*DeleteUsersResponse, error)
	InitHost(context.Context, *InitHostRequest) (*InitHostResponse, error)
}

// UnimplementedXdcdServer can be embedded to have forward compatible implementations.
type UnimplementedXdcdServer struct {
}

func (*UnimplementedXdcdServer) ClearTunnelData(context.Context, *ClearTunnelDataRequest) (*ClearTunnelDataResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ClearTunnelData not implemented")
}
func (*UnimplementedXdcdServer) AddUsers(context.Context, *AddUsersRequest) (*AddUsersResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method AddUsers not implemented")
}
func (*UnimplementedXdcdServer) DeleteUsers(context.Context, *DeleteUsersRequest) (*DeleteUsersResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method DeleteUsers not implemented")
}
func (*UnimplementedXdcdServer) InitHost(context.Context, *InitHostRequest) (*InitHostResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method InitHost not implemented")
}

func RegisterXdcdServer(s *grpc.Server, srv XdcdServer) {
	s.RegisterService(&_Xdcd_serviceDesc, srv)
}

func _Xdcd_ClearTunnelData_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ClearTunnelDataRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(XdcdServer).ClearTunnelData(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/xdcd.Xdcd/ClearTunnelData",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(XdcdServer).ClearTunnelData(ctx, req.(*ClearTunnelDataRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Xdcd_AddUsers_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(AddUsersRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(XdcdServer).AddUsers(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/xdcd.Xdcd/AddUsers",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(XdcdServer).AddUsers(ctx, req.(*AddUsersRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Xdcd_DeleteUsers_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DeleteUsersRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(XdcdServer).DeleteUsers(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/xdcd.Xdcd/DeleteUsers",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(XdcdServer).DeleteUsers(ctx, req.(*DeleteUsersRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Xdcd_InitHost_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(InitHostRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(XdcdServer).InitHost(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/xdcd.Xdcd/InitHost",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(XdcdServer).InitHost(ctx, req.(*InitHostRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _Xdcd_serviceDesc = grpc.ServiceDesc{
	ServiceName: "xdcd.Xdcd",
	HandlerType: (*XdcdServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "ClearTunnelData",
			Handler:    _Xdcd_ClearTunnelData_Handler,
		},
		{
			MethodName: "AddUsers",
			Handler:    _Xdcd_AddUsers_Handler,
		},
		{
			MethodName: "DeleteUsers",
			Handler:    _Xdcd_DeleteUsers_Handler,
		},
		{
			MethodName: "InitHost",
			Handler:    _Xdcd_InitHost_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "api/xdcd.proto",
}
